Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# Ogre::SceneManagerMetaData Struct Reference

Structure containing information about a scene manager. More...

`#include <OgreSceneManager.h>`

List of all members.

## Public Attributes
String | typeName
| A globally unique string identifying the scene manager type.
String | description
| A text description of the scene manager.
SceneTypeMask | sceneTypeMask
| A mask describing which sorts of scenes this manager can handle.
bool | worldGeometrySupported
| Flag indicating whether world geometry is supported.

## Detailed Description

Structure containing information about a scene manager.

Definition at line 2820 of file OgreSceneManager.h.

## Member Data Documentation

String Ogre::SceneManagerMetaData::description

| A text description of the scene manager. Definition at line 2825 of file OgreSceneManager.h.

SceneTypeMask Ogre::SceneManagerMetaData::sceneTypeMask

| A mask describing which sorts of scenes this manager can handle. Definition at line 2827 of file OgreSceneManager.h.

String Ogre::SceneManagerMetaData::typeName

| A globally unique string identifying the scene manager type. Definition at line 2823 of file OgreSceneManager.h.

bool Ogre::SceneManagerMetaData::worldGeometrySupported

| Flag indicating whether world geometry is supported. Definition at line 2829 of file OgreSceneManager.h.

The documentation for this struct was generated from the following file:

- OgreSceneManager.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sun Sep 30 10:53:02 2007